"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CharacterCreator = void 0;
const ClassService_1 = require("../services/classes/ClassService");
const RaceService_1 = require("../services/races/RaceService");
const SpellService_1 = require("../services/spells/SpellService");
class CharacterCreator {
    constructor() {
        this.spellService = new SpellService_1.SpellService();
        this.classService = new ClassService_1.ClassService();
        this.raceService = new RaceService_1.RaceService();
    }
    getRandomCharacter() {
        return __awaiter(this, void 0, void 0, function* () {
            const race = yield this.raceService.getRandom();
            const classData = yield this.classService.getRandom();
            return {
                race,
                class: classData,
            };
        });
    }
}
exports.CharacterCreator = CharacterCreator;
